<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ubicaciones', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->text('link');
            
            $table->foreignId('contenidoweb_id')
                  ->constrained('contenidoswebs')  // apunta a contenidoswebs
                  ->onDelete('cascade');          // si se borra contenidosweb, se borra la ubicacion
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ubicaciones');
    }
};
